#include <Adafruit_NeoPixel.h>
#define numpixels 1
#define pixelpower 11
#define pixelpin 12
Adafruit_NeoPixel pixel(numpixels, pixelpin, NEO_GRB + NEO_KHZ800);


void setup() {
  Serial.begin(9600); // Set the baud rate to match the Processing sketch

  pinMode(pixelpower, OUTPUT);
  pixel.begin();
  digitalWrite(pixelpower, HIGH);

}

void loop() {
  if (Serial.available())
  {
    char g = Serial.read();
    char r = Serial.read();
    Serial.print(r);
    Serial.print(" ");
    Serial.println(g);

    int r_ = int(r);
    int g_ = int(g);

    pixel.setPixelColor(0, pixel.Color(r_, g_, 128));
    pixel.show();
    delay(200);
    pixel.setPixelColor(0, pixel.Color(0, 0, 0));
    pixel.show();
  }
}